import { MutableRefObject } from "react";
import { Entity, QueryPredicate } from "tick-knock";
import { Query } from "./Query";
import { Constructor, Constructors, Instances } from "./utils";
export declare class QueryRef {
    ref: MutableRefObject<Query>;
    constructor(ref: MutableRefObject<Query>);
    get current(): Query;
    loop<T extends Constructor[], K extends Constructors<T>>(types: K, cb: (entity: Entity, instances: Instances<T, K>) => void): void;
    get entities(): readonly Entity[];
    get first(): Entity;
    get last(): Entity;
    get length(): number;
    countBy(predicate: QueryPredicate): number;
    filter(predicate: QueryPredicate): Entity[];
    has(entity: Entity): boolean;
    get isEmpty(): boolean;
    clear(): void;
}
