import { Component, ReactNode } from "react";
export declare type Tuple3 = [number, number, number];
export declare type PickRename<T, K extends keyof T, R extends PropertyKey> = Omit<T, K> & {
    [P in R]: T[K];
};
export declare type Constructor<T = {}> = new (...args: any[]) => T;
export declare type Constructors<T extends Constructor[]> = readonly [...T];
export declare type Instances<T extends Constructor[], K extends Constructors<T>> = {
    [I in keyof K]: K[I] extends Constructor<infer U> ? Required<NonFunctionProperties<Omit<U, keyof Component>>> : never;
};
export declare type NonFunctionPropertyNames<T> = {
    [K in keyof T]: T[K] extends Function ? never : K;
}[keyof T];
export declare type NonFunctionProperties<T> = Pick<T, NonFunctionPropertyNames<T>>;
export declare type EmptyProps = {
    children: ReactNode;
};
export declare type AnyObject = Record<string, unknown>;
export declare function rad(degrees: any): number;
export declare function deg(radians: any): number;
